aboutsummaryrefslogtreecommitdiff
path: root/contrib/regression
diff options
context:
space:
mode:
authorGeoffrey Keating <geoffk@redhat.com>2002-03-09 19:41:11 +0000
committerGeoffrey Keating <geoffk@gcc.gnu.org>2002-03-09 19:41:11 +0000
commitae53d63a9e0dbe59e0ab6a458df8f17d8dcfa0c6 (patch)
treef92ea8f70f3b857caf02e18c46263e4f2bda09bd /contrib/regression
parent79b51cd7d8d2fed42734c83ad00e26aa0cc751b4 (diff)
downloadgcc-ae53d63a9e0dbe59e0ab6a458df8f17d8dcfa0c6.zip
gcc-ae53d63a9e0dbe59e0ab6a458df8f17d8dcfa0c6.tar.gz
gcc-ae53d63a9e0dbe59e0ab6a458df8f17d8dcfa0c6.tar.bz2
btest-gcc.sh: For crosses, assume newlib and GNU binutils.
* btest-gcc.sh: For crosses, assume newlib and GNU binutils. * site.exp: Correct mips-elf triplet. From-SVN: r50504
Diffstat (limited to 'contrib/regression')
-rw-r--r--contrib/regression/ChangeLog5
-rwxr-xr-xcontrib/regression/btest-gcc.sh4
-rw-r--r--contrib/regression/site.exp2
3 files changed, 9 insertions, 2 deletions
diff --git a/contrib/regression/ChangeLog b/contrib/regression/ChangeLog
index 5008173..e5239c5 100644
--- a/contrib/regression/ChangeLog
+++ b/contrib/regression/ChangeLog
@@ -1,3 +1,8 @@
+2002-03-09 Geoffrey Keating <geoffk@redhat.com>
+
+ * btest-gcc.sh: For crosses, assume newlib and GNU binutils.
+ * site.exp: Correct mips-elf triplet.
+
2002-01-31 Geoffrey Keating <geoffk@redhat.com>
* btest-gcc.sh: New file.
diff --git a/contrib/regression/btest-gcc.sh b/contrib/regression/btest-gcc.sh
index 1bd7e8c..dbdd669 100755
--- a/contrib/regression/btest-gcc.sh
+++ b/contrib/regression/btest-gcc.sh
@@ -104,14 +104,16 @@ test-gdb/gdb.sum"
# Build.
echo build > $RESULT
-$SOURCE/configure --prefix=$PREFIX --target=$H_TARGET || exit 1
if [ $H_HOST = $H_TARGET ] ; then
+ $SOURCE/configure --prefix=$PREFIX --target=$H_TARGET || exit 1
if ! make bootstrap ; then
[ -s gcc/.bad_compare ] || exit 1
cat gcc/.bad_compare >> $REGRESS || exit 1
make all || exit 1
fi
else
+ $SOURCE/configure --prefix=$PREFIX --target=$H_TARGET \
+ --with-gnu-ld --with-gnu-as --with-newlib || exit 1
make || exit 1
fi
echo error > $RESULT || exit 1
diff --git a/contrib/regression/site.exp b/contrib/regression/site.exp
index fa50920..0892afa 100644
--- a/contrib/regression/site.exp
+++ b/contrib/regression/site.exp
@@ -8,7 +8,7 @@ case "$target_triplet" in {
set target_list { "powerpc-sim" }
# }
}
- { "mips-elf" } {
+ { "mips*-*-elf" } {
set target_list { "mips-sim" }
}